Package org.apache.xmlbeans.impl.xb.xsdschema

## Interface SchemaDocument.Schema

- All Superinterfaces:
    `OpenAttrs`, `XmlObject`, `XmlTokenSource`
  All Known Implementing Classes:
    `SchemaDocumentImpl.SchemaImpl`
  Enclosing interface:
    SchemaDocument

      public static interface SchemaDocument.Schema
      extends OpenAttrs

  An XML schema(@http://www.w3.org/2001/XMLSchema). This is a complex type.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static ElementFactory<SchemaDocument.Schema>` | `Factory` |
    `static SchemaType` | `type` |

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `AnnotationDocument.Annotation` | `addNewAnnotation()` | Appends and returns a new empty value (as xml) as the last "annotation" element
    `TopLevelAttribute` | `addNewAttribute()` | Appends and returns a new empty value (as xml) as the last "attribute" element
    `NamedAttributeGroup` | `addNewAttributeGroup()` | Appends and returns a new empty value (as xml) as the last "attributeGroup" element
    `TopLevelComplexType` | `addNewComplexType()` | Appends and returns a new empty value (as xml) as the last "complexType" element
    `TopLevelElement` | `addNewElement()` | Appends and returns a new empty value (as xml) as the last "element" element
    `NamedGroup` | `addNewGroup()` | Appends and returns a new empty value (as xml) as the last "group" element
    `ImportDocument.Import` | `addNewImport()` | Appends and returns a new empty value (as xml) as the last "import" element
    `IncludeDocument.Include` | `addNewInclude()` | Appends and returns a new empty value (as xml) as the last "include" element
    `NotationDocument.Notation` | `addNewNotation()` | Appends and returns a new empty value (as xml) as the last "notation" element
    `RedefineDocument.Redefine` | `addNewRedefine()` | Appends and returns a new empty value (as xml) as the last "redefine" element
    `TopLevelSimpleType` | `addNewSimpleType()` | Appends and returns a new empty value (as xml) as the last "simpleType" element
    `AnnotationDocument.Annotation[]` | `getAnnotationArray()` | Gets array of all "annotation" elements
    `AnnotationDocument.Annotation` | `getAnnotationArray​(int i)` | Gets ith "annotation" element
    `List<AnnotationDocument.Annotation>` | `getAnnotationList()` | Gets a List of "annotation" elements
    `TopLevelAttribute[]` | `getAttributeArray()` | Gets array of all "attribute" elements
    `TopLevelAttribute` | `getAttributeArray​(int i)` | Gets ith "attribute" element
    `FormChoice.Enum` | `getAttributeFormDefault()` | Gets the "attributeFormDefault" attribute
    `NamedAttributeGroup[]` | `getAttributeGroupArray()` | Gets array of all "attributeGroup" elements
    `NamedAttributeGroup` | `getAttributeGroupArray​(int i)` | Gets ith "attributeGroup" element
    `List<NamedAttributeGroup>` | `getAttributeGroupList()` | Gets a List of "attributeGroup" elements
    `List<TopLevelAttribute>` | `getAttributeList()` | Gets a List of "attribute" elements
    `Object` | `getBlockDefault()` | Gets the "blockDefault" attribute
    `TopLevelComplexType[]` | `getComplexTypeArray()` | Gets array of all "complexType" elements
    `TopLevelComplexType` | `getComplexTypeArray​(int i)` | Gets ith "complexType" element
    `List<TopLevelComplexType>` | `getComplexTypeList()` | Gets a List of "complexType" elements
    `TopLevelElement[]` | `getElementArray()` | Gets array of all "element" elements
    `TopLevelElement` | `getElementArray​(int i)` | Gets ith "element" element
    `FormChoice.Enum` | `getElementFormDefault()` | Gets the "elementFormDefault" attribute
    `List<TopLevelElement>` | `getElementList()` | Gets a List of "element" elements
    `Object` | `getFinalDefault()` | Gets the "finalDefault" attribute
    `NamedGroup[]` | `getGroupArray()` | Gets array of all "group" elements
    `NamedGroup` | `getGroupArray​(int i)` | Gets ith "group" element
    `List<NamedGroup>` | `getGroupList()` | Gets a List of "group" elements
    `String` | `getId()` | Gets the "id" attribute
    `ImportDocument.Import[]` | `getImportArray()` | Gets array of all "import" elements
    `ImportDocument.Import` | `getImportArray​(int i)` | Gets ith "import" element
    `List<ImportDocument.Import>` | `getImportList()` | Gets a List of "import" elements
    `IncludeDocument.Include[]` | `getIncludeArray()` | Gets array of all "include" elements
    `IncludeDocument.Include` | `getIncludeArray​(int i)` | Gets ith "include" element
    `List<IncludeDocument.Include>` | `getIncludeList()` | Gets a List of "include" elements
    `String` | `getLang()` | Gets the "lang" attribute
    `NotationDocument.Notation[]` | `getNotationArray()` | Gets array of all "notation" elements
    `NotationDocument.Notation` | `getNotationArray​(int i)` | Gets ith "notation" element
    `List<NotationDocument.Notation>` | `getNotationList()` | Gets a List of "notation" elements
    `RedefineDocument.Redefine[]` | `getRedefineArray()` | Gets array of all "redefine" elements
    `RedefineDocument.Redefine` | `getRedefineArray​(int i)` | Gets ith "redefine" element
    `List<RedefineDocument.Redefine>` | `getRedefineList()` | Gets a List of "redefine" elements
    `TopLevelSimpleType[]` | `getSimpleTypeArray()` | Gets array of all "simpleType" elements
    `TopLevelSimpleType` | `getSimpleTypeArray​(int i)` | Gets ith "simpleType" element
    `List<TopLevelSimpleType>` | `getSimpleTypeList()` | Gets a List of "simpleType" elements
    `String` | `getTargetNamespace()` | Gets the "targetNamespace" attribute
    `String` | `getVersion()` | Gets the "version" attribute
    `AnnotationDocument.Annotation` | `insertNewAnnotation​(int i)` | Inserts and returns a new empty value (as xml) as the ith "annotation" element
    `TopLevelAttribute` | `insertNewAttribute​(int i)` | Inserts and returns a new empty value (as xml) as the ith "attribute" element
    `NamedAttributeGroup` | `insertNewAttributeGroup​(int i)` | Inserts and returns a new empty value (as xml) as the ith "attributeGroup" element
    `TopLevelComplexType` | `insertNewComplexType​(int i)` | Inserts and returns a new empty value (as xml) as the ith "complexType" element
    `TopLevelElement` | `insertNewElement​(int i)` | Inserts and returns a new empty value (as xml) as the ith "element" element
    `NamedGroup` | `insertNewGroup​(int i)` | Inserts and returns a new empty value (as xml) as the ith "group" element
    `ImportDocument.Import` | `insertNewImport​(int i)` | Inserts and returns a new empty value (as xml) as the ith "import" element
    `IncludeDocument.Include` | `insertNewInclude​(int i)` | Inserts and returns a new empty value (as xml) as the ith "include" element
    `NotationDocument.Notation` | `insertNewNotation​(int i)` | Inserts and returns a new empty value (as xml) as the ith "notation" element
    `RedefineDocument.Redefine` | `insertNewRedefine​(int i)` | Inserts and returns a new empty value (as xml) as the ith "redefine" element
    `TopLevelSimpleType` | `insertNewSimpleType​(int i)` | Inserts and returns a new empty value (as xml) as the ith "simpleType" element
    `boolean` | `isSetAttributeFormDefault()` | True if has "attributeFormDefault" attribute
    `boolean` | `isSetBlockDefault()` | True if has "blockDefault" attribute
    `boolean` | `isSetElementFormDefault()` | True if has "elementFormDefault" attribute
    `boolean` | `isSetFinalDefault()` | True if has "finalDefault" attribute
    `boolean` | `isSetId()` | True if has "id" attribute
    `boolean` | `isSetLang()` | True if has "lang" attribute
    `boolean` | `isSetTargetNamespace()` | True if has "targetNamespace" attribute
    `boolean` | `isSetVersion()` | True if has "version" attribute
    `void` | `removeAnnotation​(int i)` | Removes the ith "annotation" element
    `void` | `removeAttribute​(int i)` | Removes the ith "attribute" element
    `void` | `removeAttributeGroup​(int i)` | Removes the ith "attributeGroup" element
    `void` | `removeComplexType​(int i)` | Removes the ith "complexType" element
    `void` | `removeElement​(int i)` | Removes the ith "element" element
    `void` | `removeGroup​(int i)` | Removes the ith "group" element
    `void` | `removeImport​(int i)` | Removes the ith "import" element
    `void` | `removeInclude​(int i)` | Removes the ith "include" element
    `void` | `removeNotation​(int i)` | Removes the ith "notation" element
    `void` | `removeRedefine​(int i)` | Removes the ith "redefine" element
    `void` | `removeSimpleType​(int i)` | Removes the ith "simpleType" element
    `void` | `setAnnotationArray​(int i, AnnotationDocument.Annotation annotation)` | Sets ith "annotation" element
    `void` | `setAnnotationArray​(AnnotationDocument.Annotation[] annotationArray)` | Sets array of all "annotation" element
    `void` | `setAttributeArray​(int i, TopLevelAttribute attribute)` | Sets ith "attribute" element
    `void` | `setAttributeArray​(TopLevelAttribute[] attributeArray)` | Sets array of all "attribute" element
    `void` | `setAttributeFormDefault​(FormChoice.Enum attributeFormDefault)` | Sets the "attributeFormDefault" attribute
    `void` | `setAttributeGroupArray​(int i, NamedAttributeGroup attributeGroup)` | Sets ith "attributeGroup" element
    `void` | `setAttributeGroupArray​(NamedAttributeGroup[] attributeGroupArray)` | Sets array of all "attributeGroup" element
    `void` | `setBlockDefault​(Object blockDefault)` | Sets the "blockDefault" attribute
    `void` | `setComplexTypeArray​(int i, TopLevelComplexType complexType)` | Sets ith "complexType" element
    `void` | `setComplexTypeArray​(TopLevelComplexType[] complexTypeArray)` | Sets array of all "complexType" element
    `void` | `setElementArray​(int i, TopLevelElement element)` | Sets ith "element" element
    `void` | `setElementArray​(TopLevelElement[] elementArray)` | Sets array of all "element" element
    `void` | `setElementFormDefault​(FormChoice.Enum elementFormDefault)` | Sets the "elementFormDefault" attribute
    `void` | `setFinalDefault​(Object finalDefault)` | Sets the "finalDefault" attribute
    `void` | `setGroupArray​(int i, NamedGroup group)` | Sets ith "group" element
    `void` | `setGroupArray​(NamedGroup[] groupArray)` | Sets array of all "group" element
    `void` | `setId​(String id)` | Sets the "id" attribute
    `void` | `setImportArray​(int i, ImportDocument.Import ximport)` | Sets ith "import" element
    `void` | `setImportArray​(ImportDocument.Import[] ximportArray)` | Sets array of all "import" element
    `void` | `setIncludeArray​(int i, IncludeDocument.Include include)` | Sets ith "include" element
    `void` | `setIncludeArray​(IncludeDocument.Include[] includeArray)` | Sets array of all "include" element
    `void` | `setLang​(String lang)` | Sets the "lang" attribute
    `void` | `setNotationArray​(int i, NotationDocument.Notation notation)` | Sets ith "notation" element
    `void` | `setNotationArray​(NotationDocument.Notation[] notationArray)` | Sets array of all "notation" element
    `void` | `setRedefineArray​(int i, RedefineDocument.Redefine redefine)` | Sets ith "redefine" element
    `void` | `setRedefineArray​(RedefineDocument.Redefine[] redefineArray)` | Sets array of all "redefine" element
    `void` | `setSimpleTypeArray​(int i, TopLevelSimpleType simpleType)` | Sets ith "simpleType" element
    `void` | `setSimpleTypeArray​(TopLevelSimpleType[] simpleTypeArray)` | Sets array of all "simpleType" element
    `void` | `setTargetNamespace​(String targetNamespace)` | Sets the "targetNamespace" attribute
    `void` | `setVersion​(String version)` | Sets the "version" attribute
    `int` | `sizeOfAnnotationArray()` | Returns number of "annotation" element
    `int` | `sizeOfAttributeArray()` | Returns number of "attribute" element
    `int` | `sizeOfAttributeGroupArray()` | Returns number of "attributeGroup" element
    `int` | `sizeOfComplexTypeArray()` | Returns number of "complexType" element
    `int` | `sizeOfElementArray()` | Returns number of "element" element
    `int` | `sizeOfGroupArray()` | Returns number of "group" element
    `int` | `sizeOfImportArray()` | Returns number of "import" element
    `int` | `sizeOfIncludeArray()` | Returns number of "include" element
    `int` | `sizeOfNotationArray()` | Returns number of "notation" element
    `int` | `sizeOfRedefineArray()` | Returns number of "redefine" element
    `int` | `sizeOfSimpleTypeArray()` | Returns number of "simpleType" element
    `void` | `unsetAttributeFormDefault()` | Unsets the "attributeFormDefault" attribute
    `void` | `unsetBlockDefault()` | Unsets the "blockDefault" attribute
    `void` | `unsetElementFormDefault()` | Unsets the "elementFormDefault" attribute
    `void` | `unsetFinalDefault()` | Unsets the "finalDefault" attribute
    `void` | `unsetId()` | Unsets the "id" attribute
    `void` | `unsetLang()` | Unsets the "lang" attribute
    `void` | `unsetTargetNamespace()` | Unsets the "targetNamespace" attribute
    `void` | `unsetVersion()` | Unsets the "version" attribute
    `FormChoice` | `xgetAttributeFormDefault()` | Gets (as xml) the "attributeFormDefault" attribute
    `BlockSet` | `xgetBlockDefault()` | Gets (as xml) the "blockDefault" attribute
    `FormChoice` | `xgetElementFormDefault()` | Gets (as xml) the "elementFormDefault" attribute
    `FullDerivationSet` | `xgetFinalDefault()` | Gets (as xml) the "finalDefault" attribute
    `XmlID` | `xgetId()` | Gets (as xml) the "id" attribute
    `LangAttribute.Lang` | `xgetLang()` | Gets (as xml) the "lang" attribute
    `XmlAnyURI` | `xgetTargetNamespace()` | Gets (as xml) the "targetNamespace" attribute
    `XmlToken` | `xgetVersion()` | Gets (as xml) the "version" attribute
    `void` | `xsetAttributeFormDefault​(FormChoice attributeFormDefault)` | Sets (as xml) the "attributeFormDefault" attribute
    `void` | `xsetBlockDefault​(BlockSet blockDefault)` | Sets (as xml) the "blockDefault" attribute
    `void` | `xsetElementFormDefault​(FormChoice elementFormDefault)` | Sets (as xml) the "elementFormDefault" attribute
    `void` | `xsetFinalDefault​(FullDerivationSet finalDefault)` | Sets (as xml) the "finalDefault" attribute
    `void` | `xsetId​(XmlID id)` | Sets (as xml) the "id" attribute
    `void` | `xsetLang​(LangAttribute.Lang lang)` | Sets (as xml) the "lang" attribute
    `void` | `xsetTargetNamespace​(XmlAnyURI targetNamespace)` | Sets (as xml) the "targetNamespace" attribute
    `void` | `xsetVersion​(XmlToken version)` | Sets (as xml) the "version" attribute

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final ElementFactory<SchemaDocument.Schema> Factory

    - #### type

          static final SchemaType type

  - ### Method Detail

    - #### getIncludeList

          List<IncludeDocument.Include> getIncludeList()

      Gets a List of "include" elements

    - #### getIncludeArray

          IncludeDocument.Include[] getIncludeArray()

      Gets array of all "include" elements

    - #### getIncludeArray

          IncludeDocument.Include getIncludeArray​(int i)

      Gets ith "include" element

    - #### sizeOfIncludeArray

          int sizeOfIncludeArray()

      Returns number of "include" element

    - #### setIncludeArray

          void setIncludeArray​(IncludeDocument.Include[] includeArray)

      Sets array of all "include" element

    - #### setIncludeArray

          void setIncludeArray​(int i,
                               IncludeDocument.Include include)

      Sets ith "include" element

    - #### insertNewInclude

          IncludeDocument.Include insertNewInclude​(int i)

      Inserts and returns a new empty value (as xml) as the ith "include" element

    - #### addNewInclude

          IncludeDocument.Include addNewInclude()

      Appends and returns a new empty value (as xml) as the last "include" element

    - #### removeInclude

          void removeInclude​(int i)

      Removes the ith "include" element

    - #### getImportList

          List<ImportDocument.Import> getImportList()

      Gets a List of "import" elements

    - #### getImportArray

          ImportDocument.Import[] getImportArray()

      Gets array of all "import" elements

    - #### getImportArray

          ImportDocument.Import getImportArray​(int i)

      Gets ith "import" element

    - #### sizeOfImportArray

          int sizeOfImportArray()

      Returns number of "import" element

    - #### setImportArray

          void setImportArray​(ImportDocument.Import[] ximportArray)

      Sets array of all "import" element

    - #### setImportArray

          void setImportArray​(int i,
                              ImportDocument.Import ximport)

      Sets ith "import" element

    - #### insertNewImport

          ImportDocument.Import insertNewImport​(int i)

      Inserts and returns a new empty value (as xml) as the ith "import" element

    - #### addNewImport

          ImportDocument.Import addNewImport()

      Appends and returns a new empty value (as xml) as the last "import" element

    - #### removeImport

          void removeImport​(int i)

      Removes the ith "import" element

    - #### getRedefineList

          List<RedefineDocument.Redefine> getRedefineList()

      Gets a List of "redefine" elements

    - #### getRedefineArray

          RedefineDocument.Redefine[] getRedefineArray()

      Gets array of all "redefine" elements

    - #### getRedefineArray

          RedefineDocument.Redefine getRedefineArray​(int i)

      Gets ith "redefine" element

    - #### sizeOfRedefineArray

          int sizeOfRedefineArray()

      Returns number of "redefine" element

    - #### setRedefineArray

          void setRedefineArray​(RedefineDocument.Redefine[] redefineArray)

      Sets array of all "redefine" element

    - #### setRedefineArray

          void setRedefineArray​(int i,
                                RedefineDocument.Redefine redefine)

      Sets ith "redefine" element

    - #### insertNewRedefine

          RedefineDocument.Redefine insertNewRedefine​(int i)

      Inserts and returns a new empty value (as xml) as the ith "redefine" element

    - #### addNewRedefine

          RedefineDocument.Redefine addNewRedefine()

      Appends and returns a new empty value (as xml) as the last "redefine" element

    - #### removeRedefine

          void removeRedefine​(int i)

      Removes the ith "redefine" element

    - #### getAnnotationList

          List<AnnotationDocument.Annotation> getAnnotationList()

      Gets a List of "annotation" elements

    - #### getAnnotationArray

          AnnotationDocument.Annotation[] getAnnotationArray()

      Gets array of all "annotation" elements

    - #### getAnnotationArray

          AnnotationDocument.Annotation getAnnotationArray​(int i)

      Gets ith "annotation" element

    - #### sizeOfAnnotationArray

          int sizeOfAnnotationArray()

      Returns number of "annotation" element

    - #### setAnnotationArray

          void setAnnotationArray​(AnnotationDocument.Annotation[] annotationArray)

      Sets array of all "annotation" element

    - #### setAnnotationArray

          void setAnnotationArray​(int i,
                                  AnnotationDocument.Annotation annotation)

      Sets ith "annotation" element

    - #### insertNewAnnotation

          AnnotationDocument.Annotation insertNewAnnotation​(int i)

      Inserts and returns a new empty value (as xml) as the ith "annotation" element

    - #### addNewAnnotation

          AnnotationDocument.Annotation addNewAnnotation()

      Appends and returns a new empty value (as xml) as the last "annotation" element

    - #### removeAnnotation

          void removeAnnotation​(int i)

      Removes the ith "annotation" element

    - #### getSimpleTypeList

          List<TopLevelSimpleType> getSimpleTypeList()

      Gets a List of "simpleType" elements

    - #### getSimpleTypeArray

          TopLevelSimpleType[] getSimpleTypeArray()

      Gets array of all "simpleType" elements

    - #### getSimpleTypeArray

          TopLevelSimpleType getSimpleTypeArray​(int i)

      Gets ith "simpleType" element

    - #### sizeOfSimpleTypeArray

          int sizeOfSimpleTypeArray()

      Returns number of "simpleType" element

    - #### setSimpleTypeArray

          void setSimpleTypeArray​(TopLevelSimpleType[] simpleTypeArray)

      Sets array of all "simpleType" element

    - #### setSimpleTypeArray

          void setSimpleTypeArray​(int i,
                                  TopLevelSimpleType simpleType)

      Sets ith "simpleType" element

    - #### insertNewSimpleType

          TopLevelSimpleType insertNewSimpleType​(int i)

      Inserts and returns a new empty value (as xml) as the ith "simpleType" element

    - #### addNewSimpleType

          TopLevelSimpleType addNewSimpleType()

      Appends and returns a new empty value (as xml) as the last "simpleType" element

    - #### removeSimpleType

          void removeSimpleType​(int i)

      Removes the ith "simpleType" element

    - #### getComplexTypeList

          List<TopLevelComplexType> getComplexTypeList()

      Gets a List of "complexType" elements

    - #### getComplexTypeArray

          TopLevelComplexType[] getComplexTypeArray()

      Gets array of all "complexType" elements

    - #### getComplexTypeArray

          TopLevelComplexType getComplexTypeArray​(int i)

      Gets ith "complexType" element

    - #### sizeOfComplexTypeArray

          int sizeOfComplexTypeArray()

      Returns number of "complexType" element

    - #### setComplexTypeArray

          void setComplexTypeArray​(TopLevelComplexType[] complexTypeArray)

      Sets array of all "complexType" element

    - #### setComplexTypeArray

          void setComplexTypeArray​(int i,
                                   TopLevelComplexType complexType)

      Sets ith "complexType" element

    - #### insertNewComplexType

          TopLevelComplexType insertNewComplexType​(int i)

      Inserts and returns a new empty value (as xml) as the ith "complexType" element

    - #### addNewComplexType

          TopLevelComplexType addNewComplexType()

      Appends and returns a new empty value (as xml) as the last "complexType" element

    - #### removeComplexType

          void removeComplexType​(int i)

      Removes the ith "complexType" element

    - #### getGroupList

          List<NamedGroup> getGroupList()

      Gets a List of "group" elements

    - #### getGroupArray

          NamedGroup[] getGroupArray()

      Gets array of all "group" elements

    - #### getGroupArray

          NamedGroup getGroupArray​(int i)

      Gets ith "group" element

    - #### sizeOfGroupArray

          int sizeOfGroupArray()

      Returns number of "group" element

    - #### setGroupArray

          void setGroupArray​(NamedGroup[] groupArray)

      Sets array of all "group" element

    - #### setGroupArray

          void setGroupArray​(int i,
                             NamedGroup group)

      Sets ith "group" element

    - #### insertNewGroup

          NamedGroup insertNewGroup​(int i)

      Inserts and returns a new empty value (as xml) as the ith "group" element

    - #### addNewGroup

          NamedGroup addNewGroup()

      Appends and returns a new empty value (as xml) as the last "group" element

    - #### removeGroup

          void removeGroup​(int i)

      Removes the ith "group" element

    - #### getAttributeGroupList

          List<NamedAttributeGroup> getAttributeGroupList()

      Gets a List of "attributeGroup" elements

    - #### getAttributeGroupArray

          NamedAttributeGroup[] getAttributeGroupArray()

      Gets array of all "attributeGroup" elements

    - #### getAttributeGroupArray

          NamedAttributeGroup getAttributeGroupArray​(int i)

      Gets ith "attributeGroup" element

    - #### sizeOfAttributeGroupArray

          int sizeOfAttributeGroupArray()

      Returns number of "attributeGroup" element

    - #### setAttributeGroupArray

          void setAttributeGroupArray​(NamedAttributeGroup[] attributeGroupArray)

      Sets array of all "attributeGroup" element

    - #### setAttributeGroupArray

          void setAttributeGroupArray​(int i,
                                      NamedAttributeGroup attributeGroup)

      Sets ith "attributeGroup" element

    - #### insertNewAttributeGroup

          NamedAttributeGroup insertNewAttributeGroup​(int i)

      Inserts and returns a new empty value (as xml) as the ith "attributeGroup" element

    - #### addNewAttributeGroup

          NamedAttributeGroup addNewAttributeGroup()

      Appends and returns a new empty value (as xml) as the last "attributeGroup" element

    - #### removeAttributeGroup

          void removeAttributeGroup​(int i)

      Removes the ith "attributeGroup" element

    - #### getElementList

          List<TopLevelElement> getElementList()

      Gets a List of "element" elements

    - #### getElementArray

          TopLevelElement[] getElementArray()

      Gets array of all "element" elements

    - #### getElementArray

          TopLevelElement getElementArray​(int i)

      Gets ith "element" element

    - #### sizeOfElementArray

          int sizeOfElementArray()

      Returns number of "element" element

    - #### setElementArray

          void setElementArray​(TopLevelElement[] elementArray)

      Sets array of all "element" element

    - #### setElementArray

          void setElementArray​(int i,
                               TopLevelElement element)

      Sets ith "element" element

    - #### insertNewElement

          TopLevelElement insertNewElement​(int i)

      Inserts and returns a new empty value (as xml) as the ith "element" element

    - #### addNewElement

          TopLevelElement addNewElement()

      Appends and returns a new empty value (as xml) as the last "element" element

    - #### removeElement

          void removeElement​(int i)

      Removes the ith "element" element

    - #### getAttributeList

          List<TopLevelAttribute> getAttributeList()

      Gets a List of "attribute" elements

    - #### getAttributeArray

          TopLevelAttribute[] getAttributeArray()

      Gets array of all "attribute" elements

    - #### getAttributeArray

          TopLevelAttribute getAttributeArray​(int i)

      Gets ith "attribute" element

    - #### sizeOfAttributeArray

          int sizeOfAttributeArray()

      Returns number of "attribute" element

    - #### setAttributeArray

          void setAttributeArray​(TopLevelAttribute[] attributeArray)

      Sets array of all "attribute" element

    - #### setAttributeArray

          void setAttributeArray​(int i,
                                 TopLevelAttribute attribute)

      Sets ith "attribute" element

    - #### insertNewAttribute

          TopLevelAttribute insertNewAttribute​(int i)

      Inserts and returns a new empty value (as xml) as the ith "attribute" element

    - #### addNewAttribute

          TopLevelAttribute addNewAttribute()

      Appends and returns a new empty value (as xml) as the last "attribute" element

    - #### removeAttribute

          void removeAttribute​(int i)

      Removes the ith "attribute" element

    - #### getNotationList

          List<NotationDocument.Notation> getNotationList()

      Gets a List of "notation" elements

    - #### getNotationArray

          NotationDocument.Notation[] getNotationArray()

      Gets array of all "notation" elements

    - #### getNotationArray

          NotationDocument.Notation getNotationArray​(int i)

      Gets ith "notation" element

    - #### sizeOfNotationArray

          int sizeOfNotationArray()

      Returns number of "notation" element

    - #### setNotationArray

          void setNotationArray​(NotationDocument.Notation[] notationArray)

      Sets array of all "notation" element

    - #### setNotationArray

          void setNotationArray​(int i,
                                NotationDocument.Notation notation)

      Sets ith "notation" element

    - #### insertNewNotation

          NotationDocument.Notation insertNewNotation​(int i)

      Inserts and returns a new empty value (as xml) as the ith "notation" element

    - #### addNewNotation

          NotationDocument.Notation addNewNotation()

      Appends and returns a new empty value (as xml) as the last "notation" element

    - #### removeNotation

          void removeNotation​(int i)

      Removes the ith "notation" element

    - #### getTargetNamespace

          String getTargetNamespace()

      Gets the "targetNamespace" attribute

    - #### xgetTargetNamespace

          XmlAnyURI xgetTargetNamespace()

      Gets (as xml) the "targetNamespace" attribute

    - #### isSetTargetNamespace

          boolean isSetTargetNamespace()

      True if has "targetNamespace" attribute

    - #### setTargetNamespace

          void setTargetNamespace​(String targetNamespace)

      Sets the "targetNamespace" attribute

    - #### xsetTargetNamespace

          void xsetTargetNamespace​(XmlAnyURI targetNamespace)

      Sets (as xml) the "targetNamespace" attribute

    - #### unsetTargetNamespace

          void unsetTargetNamespace()

      Unsets the "targetNamespace" attribute

    - #### getVersion

          String getVersion()

      Gets the "version" attribute

    - #### xgetVersion

          XmlToken xgetVersion()

      Gets (as xml) the "version" attribute

    - #### isSetVersion

          boolean isSetVersion()

      True if has "version" attribute

    - #### setVersion

          void setVersion​(String version)

      Sets the "version" attribute

    - #### xsetVersion

          void xsetVersion​(XmlToken version)

      Sets (as xml) the "version" attribute

    - #### unsetVersion

          void unsetVersion()

      Unsets the "version" attribute

    - #### getFinalDefault

          Object getFinalDefault()

      Gets the "finalDefault" attribute

    - #### xgetFinalDefault

          FullDerivationSet xgetFinalDefault()

      Gets (as xml) the "finalDefault" attribute

    - #### isSetFinalDefault

          boolean isSetFinalDefault()

      True if has "finalDefault" attribute

    - #### setFinalDefault

          void setFinalDefault​(Object finalDefault)

      Sets the "finalDefault" attribute

    - #### xsetFinalDefault

          void xsetFinalDefault​(FullDerivationSet finalDefault)

      Sets (as xml) the "finalDefault" attribute

    - #### unsetFinalDefault

          void unsetFinalDefault()

      Unsets the "finalDefault" attribute

    - #### getBlockDefault

          Object getBlockDefault()

      Gets the "blockDefault" attribute

    - #### xgetBlockDefault

          BlockSet xgetBlockDefault()

      Gets (as xml) the "blockDefault" attribute

    - #### isSetBlockDefault

          boolean isSetBlockDefault()

      True if has "blockDefault" attribute

    - #### setBlockDefault

          void setBlockDefault​(Object blockDefault)

      Sets the "blockDefault" attribute

    - #### xsetBlockDefault

          void xsetBlockDefault​(BlockSet blockDefault)

      Sets (as xml) the "blockDefault" attribute

    - #### unsetBlockDefault

          void unsetBlockDefault()

      Unsets the "blockDefault" attribute

    - #### getAttributeFormDefault

          FormChoice.Enum getAttributeFormDefault()

      Gets the "attributeFormDefault" attribute

    - #### xgetAttributeFormDefault

          FormChoice xgetAttributeFormDefault()

      Gets (as xml) the "attributeFormDefault" attribute

    - #### isSetAttributeFormDefault

          boolean isSetAttributeFormDefault()

      True if has "attributeFormDefault" attribute

    - #### setAttributeFormDefault

          void setAttributeFormDefault​(FormChoice.Enum attributeFormDefault)

      Sets the "attributeFormDefault" attribute

    - #### xsetAttributeFormDefault

          void xsetAttributeFormDefault​(FormChoice attributeFormDefault)

      Sets (as xml) the "attributeFormDefault" attribute

    - #### unsetAttributeFormDefault

          void unsetAttributeFormDefault()

      Unsets the "attributeFormDefault" attribute

    - #### getElementFormDefault

          FormChoice.Enum getElementFormDefault()

      Gets the "elementFormDefault" attribute

    - #### xgetElementFormDefault

          FormChoice xgetElementFormDefault()

      Gets (as xml) the "elementFormDefault" attribute

    - #### isSetElementFormDefault

          boolean isSetElementFormDefault()

      True if has "elementFormDefault" attribute

    - #### setElementFormDefault

          void setElementFormDefault​(FormChoice.Enum elementFormDefault)

      Sets the "elementFormDefault" attribute

    - #### xsetElementFormDefault

          void xsetElementFormDefault​(FormChoice elementFormDefault)

      Sets (as xml) the "elementFormDefault" attribute

    - #### unsetElementFormDefault

          void unsetElementFormDefault()

      Unsets the "elementFormDefault" attribute

    - #### getId

          String getId()

      Gets the "id" attribute

    - #### xgetId

          XmlID xgetId()

      Gets (as xml) the "id" attribute

    - #### isSetId

          boolean isSetId()

      True if has "id" attribute

    - #### setId

          void setId​(String id)

      Sets the "id" attribute

    - #### xsetId

          void xsetId​(XmlID id)

      Sets (as xml) the "id" attribute

    - #### unsetId

          void unsetId()

      Unsets the "id" attribute

    - #### getLang

          String getLang()

      Gets the "lang" attribute

    - #### xgetLang

          LangAttribute.Lang xgetLang()

      Gets (as xml) the "lang" attribute

    - #### isSetLang

          boolean isSetLang()

      True if has "lang" attribute

    - #### setLang

          void setLang​(String lang)

      Sets the "lang" attribute

    - #### xsetLang

          void xsetLang​(LangAttribute.Lang lang)

      Sets (as xml) the "lang" attribute

    - #### unsetLang

          void unsetLang()

      Unsets the "lang" attribute